Subject: Re: FCIP Annex E

From: Ralph Weber <[email-masked]>
Date: Tue, 17 Jul 2001 12:18:10 -0600

The issues in E-5.5 are Fibre Channel issues not TCP issues.
The choices regarding how to use TCP are driven by Fibre
Channel choices not by TCP choices.  TCP supplies only
the rules and options from which the Fibre Channel side
makes its choices.  The nature of the choices belongs
in FCIP, which choices to make when does not.  E-5.5
contains far too much discussion of which choices to
make when.

I believe that 03 section 8 covers the organization of
multiple TCP connections.  Work in progress and targeted
for 04 intends to address the QoS aspects of the question,
but again only in terms of describing the kinds of options
the FCIP Entity presents to the FC Entity.

Only Fibre Channel knows the choices it needs to make
and only Fibre Channel documents can successfully discuss
those choices.

Thanks.

Ralph...

Sudhir Srinivasan wrote:

>
>
> It is intriguing why the FCIP draft authors are
> reluctant to address the issues regarding E-5.5
> head-on. The issue has come up three separate
> times on the reflector and the authors continue to
> keep us in suspense. I understand the reasons for
> working offline and posting the results in a new
> revision but this issue has survived two revisions
> now and promises to extend to -04 as well. In the
> interest of developing a standard that isn't doomed
> from day one wrt interoperability, I urge the
> authors to clearly state what their stance is on
> the rules in E-5.5.
>
> Thanks,
> Sudhir
>
> > -----Original Message-----
> > From: Ralph Weber [mailto:[email-masked]]
> > Sent: Tuesday, July 17, 2001 7:47 AM
> >
> > > E-5.3 TCP Connection Management
> > > E-5.5 Multiple Connection Management
> > >
> > > Some of the information in these sections probably needs to
> > > be in both FCIP and FC-BB-2.  FCIP should contain information
> > > describing how TCP connections may be mapped to FC port
> > > connections (Section 7 in -03 is silent on this topic).
> > > The first paragraph of E-5.3 and most of E-5.5
> > > fall into this category, although they should be generalized to
> > > avoid references to ISLs, E ports and B ports.  The connection
> > > setup material in E-5.3 seems to be adequately covered in 7.1
> > > and its subsections.
> >
> > No changes have been made in FCIP in response to this comment.
> >
> > I am loath to add FC Port to the FCIP glossary.  I can find
> > nothing in the first paragraphs of E-5.3 and E-5.5 that
> > are not covered in suitably general terms in section 8.